<div class="p-grid p-justify-center p-align-center" >

    <div *ngIf="loadingCategories" class="p-col-12 text-center" [style]="{padding: '6rem 0'}">
        <p-progressSpinner [style]="{width: '5rem', height: '5rem'}"></p-progressSpinner>
        <div>
            {{ lang.getLoading() }} {{ lang.getCategories() }}...
        </div>
    </div>

    <div class="p-col-12" *ngIf="!loadingCategories && categories && categories.length > 0">
        <div class="p-grid" *ngFor="let category of categories">
            <div class="p-col-12" style="padding: .5rem .5rem 1rem .5rem;">
                <app-category [toggleable]="true"
                              [category]="category">
                </app-category>
            </div>
        </div>
        <div class="p-grid" *ngIf="categories && totalCategories > maxCategories">
            <div class="p-col-12">
                <p-paginator [rows]="5" [totalRecords]="totalCategories"
                             currentPageReportTemplate="{currentPage} de {totalPages}"
                             [rowsPerPageOptions]="[5,10,15,20,25]"
                             (onPageChange)="changePage($event)"></p-paginator>
            </div>
        </div>
    </div>

</div>
